# Booking engine URL

Flip.to can pass many variables to your booking engine through URL parameters that you define. Set up your **Booking engine URL template** in **Platform → Mission Control → Booking**. There are two URLs that can be set up—one is for booking a stay at an accommodation, the other is for booking a stay that includes flight packages.

In addition, depending on the features you use, some areas of your platform will allow you to set a different booking engine URL template to override the original settings in Mission Control.

{% code title="Example URL using tokens" overflow="wrap" %}

```
https://your.bookingengine.com/page.html?hotel=12345&aDate={start-date,format=MM/dd/yyyy}&dDate={end-date,format=MM/dd/yyyy}&rooms={rooms,fallback=1}&adults={adults}&child={children,fallback=0}&pc={promo-code}&airport={traveler-airport-code}
```

{% endcode %}

<table><thead><tr><th width="295">Token</th><th>Description</th></tr></thead><tbody><tr><td>{product-booking-engine-code}</td><td>The code that identifies your product.<br><br><em>Use only if your platform has been set up with multiple accommodation/destination types and each one is using a unique booking engine code.</em></td></tr><tr><td>{property-booking-engine-code}</td><td>The code that identifies your property in your booking engine.<br><br><em>Use only if your platform has been mapped with multiple properties and each one is using a unique booking engine code.</em></td></tr><tr><td>{fallback-booking-engine-code}</td><td>Optional fallback for the property booking engine code.<br><br><em>Use only if there is a possibility that a property code might be passed in that is invalid or not recognized by the platform.</em></td></tr><tr><td>{start-date,format=MM/dd/yyyy}</td><td><p>The arrival date requested for the reservation.<br><br><em>Format the date using components and separators that your booking engine supports.</em></p><p><em><strong>Components</strong></em><br><code>yy</code> <em>– two-digit year, ie 24</em><br><code>yyyy</code> <em>– four-digit year, ie 2024</em><br><code>M</code> <em>– one-digit for any month below 10, ie 3</em><br><code>MM</code> <em>– two-digit month, ie 03</em><br><code>MMM</code> <em>– three-letter month, ie Sep</em><br><code>MMMM</code> <em>– full name of month, ie September</em><br><code>d</code> <em>– one-digit for any day below 10, ie 5</em><br><code>dd</code> <em>– two-digit day, ie 05</em></p><p><em><strong>Separators</strong></em><br><code>/</code> <em>– slash</em><br><code>.</code> <em>– period</em><br><code>-</code> <em>– dash</em></p></td></tr><tr><td>{end-date,format=MM/dd/yyyy}</td><td>The departure date requested for the reservation.<br><br><em>Refer to arrival date for specifics.</em></td></tr><tr><td>{nights}</td><td>The number of nights requested for the reservation.</td></tr><tr><td>{rooms}</td><td>The number of rooms requested for the reservation.<br><br><em>Supports fallback as follows:</em><br><code>{rooms,fallback=1}</code></td></tr><tr><td>{adults}</td><td>The number of adults who are part of the reservation.</td></tr><tr><td>{children}</td><td>The number of children who are part of the reservation.<br><br><em>Supports fallback as follows:</em><br><code>{children,fallback=0}</code></td></tr><tr><td>{child-age}</td><td><p>The age of any children.<br><br><em>Supports formatting as follows:</em></p><p><code>{child-age, format=0-onlap, arrayFormat=repeated}</code><br></p><p><em>Use <strong>format</strong> to declare the lap child preference as part of the child age parameter. "0" represents the numerical value in the custom string, which can be configured in various ways ie "0-onlap", "lapchild-0", "age-0-onlap". The platform will automatically insert the custom string to any age under 2.</em></p><p><em>Use <strong>arrayFormat</strong> to define how to handle multiple child ages. The following values are supported:</em><br><code>delimited</code><br><code>repeated</code><br><code>brackets</code><br><code>incrementing</code><br></p><p><em>Examples</em><br><em>If token is set to</em><br><code>&#x26;ages={child-age, arrayFormat=delimited, delimiter=,}</code><br><em>the output would be</em><br><em>&#x26;ages=9,11</em></p><p><em>If token is set to</em><br><code>&#x26;ages={child-age, arrayFormat=repeated}</code><br><em>the output would be</em><br><em>&#x26;ages=9&#x26;ages=11</em></p><p><em>If token is set to</em><br><code>&#x26;ages={child-age, arrayFormat=brackets}</code><br><em>the output would be</em><br><em>?ages[]=9&#x26;ages[]=11</em><br><br><em>If token is set to</em><br><code>&#x26;ages={child-age, arrayFormat=incrementing}</code><br><em>the output would be</em><br><em>?ages1=9&#x26;ages2=11</em></p></td></tr><tr><td>{promo-code}</td><td>The promo code used for the reservation.</td></tr><tr><td>{group-code}</td><td>The group code used for the reservation.</td></tr><tr><td>{short-code}</td><td>A short code used when handling unusual booking link URLs.</td></tr><tr><td>{language-code}</td><td><p>The user's preferred language.</p><p><em>Supports formatting as follows:</em><br><em>If lowercase format is required, use</em><br><code>{language-code,format=xx}</code></p><p><em>If uppercase format is required, use</em><br><code>{language-code,format=XX}</code></p><p><em>If the language code needs to be location-specific, use</em><br><code>{language-code,format=xx-XX}</code><br><em>and adjust the lowercase/uppercase format as needed</em></p><p><em>For reservHotel booking engine, use</em><br><code>{language-code,format=reservhotel}</code></p></td></tr><tr><td>{traveler-airport-code}</td><td>The airport that the user will be flying from.</td></tr><tr><td>{rate-plan-code}</td><td>The rate plan code used for the reservation.</td></tr><tr><td>{travel-agent-code}</td><td>The specific code for travel agent use.</td></tr><tr><td>{corporate-code}</td><td>The specific code for employee use.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flip.to/docs/platform/mission-control/booking-engine-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
